/* mate-vfs-version.h - MateVFS version checking

   Copyright (C) 2006 Christian Kellner

   The Mate Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The Mate Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the Mate Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.

*/

#ifndef MATE_VFS_VERSION_H
#define MATE_VFS_VERSION_H

/* compile time versioning
 */
#define MATE_VFS_MAJOR_VERSION			(1)
#define MATE_VFS_MINOR_VERSION			(4)
#define MATE_VFS_MICRO_VERSION			(0)

/* check whether a MateVFS version equal to or greater than
 * major.minor.micro is present.
 */
#define	MATE_VFS_CHECK_VERSION(major,minor,micro)	\
    (MATE_VFS_MAJOR_VERSION > (major) || \
     (MATE_VFS_MAJOR_VERSION == (major) && \
      MATE_VFS_MINOR_VERSION > (minor)) || \
     (MATE_VFS_MAJOR_VERSION == (major) && \
      MATE_VFS_MINOR_VERSION == (minor) && \
      MATE_VFS_MICRO_VERSION >= (micro)))


#endif /* MATE_VFS_VERSION_H */

